# tr1_impl/array File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file tr1_impl/array.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- struct std::array< _Tp, _Nm >
    NB: Requires complete type _Tp. More...
- struct std::tuple_element< _Int, array< _Tp, _Nm > >
- struct std::tuple_size< array< _Tp, _Nm > >

## Functions

- template<int _Int, typename _Tp, std::size_t _Nm> const _Tp & std::get (const array< _Tp, _Nm > &__arr)
- template<int _Int, typename _Tp, std::size_t _Nm> _Tp & std::get (array< _Tp, _Nm > &__arr)
- template<typename _Tp, std::size_t _Nm> bool std::operator!= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, std::size_t _Nm> bool std::operator< (const array< _Tp, _Nm > &__a, const array< _Tp, _Nm > &__b)
- template<typename _Tp, std::size_t _Nm> bool std::operator<= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, std::size_t _Nm> bool std::operator== (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, std::size_t _Nm> bool std::operator> (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, std::size_t _Nm> bool std::operator>= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, std::size_t _Nm> void std::swap (array< _Tp, _Nm > &__one, array< _Tp, _Nm > &__two)